%define name    rubberband
%define version 1.8.2
%define release 3
%define prefix  /usr

Name: rubberband
Version: 1.8.2
Release: 3.rncbc.suse
Summary:	Rubber Band audio time-stretching and pitch-shifting library

%define _lib_name lib%{name}2
%define _lib_name_devel lib%{name}-devel

URL:		http://www.breakfastquay.com/rubberband/
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-%{version}-libdir.patch
Group:		Productivity/Multimedia/Sound/Utilities
License:	GPL

BuildRoot:	%{_tmppath}/%{name}-%{version}-build

BuildRequires:	gcc-c++
BuildRequires:	pkgconfig
BuildRequires:	fftw3-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	libsndfile-devel
BuildRequires:	ladspa-devel
BuildRequires:	vamp-plugin-sdk-devel
BuildRequires:	autoconf
BuildRequires:	automake

%description
Rubber Band Library is a high quality software library for audio
time-stretching and pitch-shifting. It permits you to change the
tempo and pitch of an audio recording or stream dynamically and
independently of one another.
--
This package contains the rubberband audio file time-stretcher
and pitch-shiter command line utility.


%package -n %{name}-ladspa
Summary:	Rubber Band LADSPA plugins
Group:		Productivity/Multimedia/Sound/Utilities
Requires:	%{_lib_name} = %{version}, ladspa

%description -n %{name}-ladspa
Rubber Band Library is a high quality software library for audio
time-stretching and pitch-shifting. It permits you to change the
tempo and pitch of an audio recording or stream dynamically and
independently of one another.
--
This package contains the rubberband LADSPA plugin.


%package -n %{name}-vamp
Summary:	Rubber Band VAMP plugins
Group:		Productivity/Multimedia/Sound/Utilities
Requires:	%{_lib_name} = %{version}, vamp-plugin-sdk

%description -n %{name}-vamp
Rubber Band Library is a high quality software library for audio
time-stretching and pitch-shifting. It permits you to change the
tempo and pitch of an audio recording or stream dynamically and
independently of one another.
--
This package contains the rubberband VAMP plugin.


%package -n %{_lib_name}
Summary:	Rubber Band shared libraries
Group:		System/Libraries
Provides:	%{_lib_name} = %{version}

%description -n %{_lib_name}
Rubber Band Library is a high quality software library for audio
time-stretching and pitch-shifting. It permits you to change the
tempo and pitch of an audio recording or stream dynamically and
independently of one another.


%package -n %{_lib_name_devel}
Summary:	Rubber Band include files and libraries for development
Group:		Development/Libraries/C and C++
Requires:	%{_lib_name} = %{version}

%description -n %{_lib_name_devel}
Rubber Band Library is a high quality software library for audio
time-stretching and pitch-shifting. It permits you to change the
tempo and pitch of an audio recording or stream dynamically and
independently of one another.
--
This package contains the header files needed for development with
librubberband. You will need this only if you intend to compile
programs that use this library.


%prep
%setup -q
%patch0
aclocal
autoconf

%build
%configure
%__make

%install
%makeinstall DESTDIR=%{buildroot}

%clean
%{__rm} -rf %{buildroot}

%post -n %{_lib_name} -p /sbin/ldconfig

%postun -n %{_lib_name} -p /sbin/ldconfig


%files -n %{name}
%defattr(-, root, root)
%doc README.txt
%{_bindir}/*


%files -n %{_lib_name}
%defattr(-, root, root)
%{_libdir}/librubberband.so.*


%files -n %{_lib_name_devel}
%defattr(-, root, root)
%dir %{_includedir}/rubberband
%{_includedir}/rubberband/*.h
%{_libdir}/librubberband.a
%{_libdir}/librubberband.so
%{_libdir}/pkgconfig/rubberband.pc


%files -n %{name}-ladspa
%defattr(-, root, root)
%dir %{_libdir}/ladspa
%{_libdir}/ladspa/ladspa-rubberband.so
%{_libdir}/ladspa/ladspa-rubberband.cat
%dir %{_datadir}/ladspa
%dir %{_datadir}/ladspa/rdf
%{_datadir}/ladspa/rdf/ladspa-rubberband.rdf

%files -n %{name}-vamp
%defattr(-, root, root)
%dir %{_libdir}/vamp
%{_libdir}/vamp/vamp-rubberband.so
%{_libdir}/vamp/vamp-rubberband.cat


%changelog
* Thu Jun  7 2018 Rui Nuno Capela <rncbc@rncbc.org> - 1.8.2-3
- new upstream release.
* Tue Dec 23 2014 Rui Nuno Capela <rncbc@rncbc.org> - 1.8.1-2
- OBS snapshot update.
* Thu Oct  1 2009 Rui Nuno Capela <rncbc@rncbc.org> - 1.4.0-1
- initial spec-ification
